
class Flags:
  '''
  Interface for AST nodes with flags
  The only known flag is OP_DELETE
  '''
  
  def __init__(self, obj):
    '''
    An interface merely wraps a Bootstrap class
    '''
    self.obj = obj
  
  def __getattr__(self, attr):
    '''
    Every call to the interface is dispatched to the underlying class
    '''
    return getattr(self.obj, attr)
