
class Search:
  '''
  This interface contains the basic methods which support a search of the tree
  '''
  
  def __init__(self, obj):
    '''
    An interface merely wraps a Bootstrap class
    '''
    self.obj = obj
  
  def __getattr__(self, attr):
    '''
    Every call to the interface is dispatched to the underlying class
    '''
    return getattr(self.obj, attr)
